<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />




    <!-- Favicon ICO-->
    <link rel="icon" type="image/x-icon" href='http://localhost:8000/uploads/images/favicon.ico'>




    <!-- Stylesheet Imports -->

    <!-- Bootstrap CDN-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.0/css/bootstrap.min.css" crossorigin="anonymous">

    <link rel='stylesheet' href='/static/css/totop_button.css'>



    <!-- Script Imports-->

    <!-- jQuery CDN -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>

    <!-- Popper CDN -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

    <!-- Bootstrap CDN-->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <!-- Axios CDN -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/axios/0.25.0/axios.min.js'></script>

    <!-- 
      Global Variables
      Inclues frontEndUrl, backEndUrl, user images, and product images
    -->
    <script src='/static/js/globalVariables.js'></script>


    <title>SPIT</title>
</head>








<body class="bg-light">

    <!--back to top button-->
    <button class='bg-dark text-white' onclick="topFunction()" id="myBtn" title="Go to top">Top</button>


    <header>
        <nav class="navbar navbar-expand-md navbar-light bg-light">
            <a class="navbar-brand" href="/">SPIT!</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mr-auto" id='menu'>
                    <li class="nav-item">
                        <a class="nav-link" href="/category">Categories</a>
                    </li>
                </ul>
                <ul class="navbar-nav" id='LoginOrProfile'></ul>
            </div>
        </nav>
    </header>
    <script src='/static/js/menu.js'></script>











    <main class="container">
        <div id="formResponse"></div>


        <!-- <form> -->
        <div class="form-group">


            <label for="username">Username:</label>
            <input class='form-control' type="text" pattern="[a-zA-Z0-9_]+" id="username" name="username" title='No special characters accepted except "_"'>
            <div id="usernameField"></div>

        </div>
        <div class="form-group">
            <form>
                <label for="email">Email:</label>
                <input class='form-control' type="email" id="email" name="email" aria-describedby="emailHelp">
                <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
                <div id="emailField"></div>
            </form>
        </div>


        <div class="form-group">
            <label for="contact">Contact:</label>
            <input type="number" class='form-control' id="contact" name="contact" onkeydown="javascript: return event.keyCode === 8 || event.keyCode === 46 ? true : !isNaN(Number(event.key))" />
            <!-- <input class='form-control' type="number" pattern="[0-9]+" id="contact" name="contact"> -->
            <div id='contactField'></div>
        </div>
        <!-- 
            <label for="exampleInputEmail1">Email address</label>
            <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Enter email"> -->
        <div class="form-group">
            <label for="password">Password</label>
            <small id="passwordAuthentication" class="form-text text-muted">Password must contain at least 8 characters, 1 letter, 1 number and 1 unqiue character</small>
            <input type="password" class="form-control" id="password" aria-describedby="passwordAuthentication">
            <div id='passwordField'></div>
        </div>
        <button type="submit" class="btn btn-primary" id="submit" onclick="postUser()">Register</button>
        <!-- </form> -->


    </main>
    <script src='/static/js/error/validationSchema.js'></script>
    <script src="/static/js/register.js"></script>
    <script src="/static/js/error/errorHandling.js"></script>
</body>

</html>